# class ScopedPduData |
Full name | `Snmp::ScopedPduData`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum ScopedPduDataType { PLAINTEXT, ENCRYPTEDPDU, }

#### Public Methods

- ScopedPduData ()
- ScopedPduData (void* data, int len)
- ~ScopedPduData ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int m_choiceType
- ScopedPDU* m_plaintext
- OctetString m_encryptedPDU

## Detailed Description

static const int s_type | ### s_type

enum ScopedPduDataType { PLAINTEXT, ENCRYPTEDPDU, } | ### ScopedPduDataType

int m_choiceType | ### m_choiceType

ScopedPDU* m_plaintext | ### m_plaintext

OctetString m_encryptedPDU | ### m_encryptedPDU

ScopedPduData () | ### ScopedPduData

ScopedPduData (void* data, int len) | ### ScopedPduData

~ScopedPduData () | ### ~ScopedPduData

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.